# Class CSSSWTApplyStylesListener

java.lang.Object
org.eclipse.e4.ui.css.swt.engine.CSSSWTApplyStylesListener

public class CSSSWTApplyStylesListener extends Object
Add SWT filter to the `Display` to apply styles when SWT widget is resized or showed.

## Constructor Summary

Constructors
Constructor
Description
`CSSSWTApplyStylesListener(Display display, CSSEngine engine)`

## Method Summary

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CSSSWTApplyStylesListener

public CSSSWTApplyStylesListener(Display display, CSSEngine engine)